Lightroom: unsupported macbook pro from 2006

  • 1
  • Problem
  • Updated 6 years ago
  • Not a Problem
  • (Edited)
Lightroom 4 beta will not install on my old macbook pro laptop. Says "not supported."
Photo of Charles Marinaro

Charles Marinaro

  • 1 Post
  • 0 Reply Likes

Posted 6 years ago

  • 1
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 812 Reply Likes
As stated on the beta download page and README files: Lightroom 4 requires 64 bit addressing. Some of the first generation Mac Intel systems don't support 64 bit addressing.
Photo of Jeffrey Tranberry

Jeffrey Tranberry, Sr. Product Manager, Digital Imaging

  • 14046 Posts
  • 1734 Reply Likes
Official answer from the Lightroom team:

http://blogs.adobe.com/lightroomjourn...

"NOTE: On the Mac platform we needed to make ... a decision to end support for systems that are not 64-bit capable."